|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.explorer.CmsNewResource
org.opencms.workplace.explorer.CmsNewResourceFolder
public class CmsNewResourceFolder
The new resource folder dialog handles the creation of a folder.
The following files use this class:
| Field Summary | |
|---|---|
static String |
PARAM_CREATEINDEX
Request parameter name for the create index file flag. |
| Fields inherited from class org.opencms.workplace.explorer.CmsNewResource |
|---|
ACTION_NEWFORM, ACTION_SUBMITFORM, BUTTON_NEXT, DIALOG_NEWFORM, DIALOG_SUBMITFORM, DIALOG_TYPE, PARAM_CURRENTFOLDER, PARAM_NEWRESOURCEEDITPROPS, PARAM_NEWRESOURCETYPE, PARAM_NEWRESOURCEURI |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsNewResourceFolder(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsNewResourceFolder(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionCreateResource()
Creates the folder using the specified resource name. |
void |
actionEditProperties()
Forwards to the property dialog if the resourceeditprops parameter is true. |
String |
getParamCreateIndex()
Returns the create index file parameter value. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamCreateIndex(String createIndex)
Sets the create index file parameter value. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String PARAM_CREATEINDEX
| Constructor Detail |
|---|
public CmsNewResourceFolder(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsNewResourceFolder(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionCreateResource()
throws JspException
actionCreateResource in class CmsNewResourceJspException - if inclusion of error dialog fails
public void actionEditProperties()
throws IOException,
JspException,
ServletException
If the parameter is not true, the dialog will be closed.
actionEditProperties in class CmsNewResourceIOException - if forwarding to the property dialog fails
ServletException - if forwarding to the property dialog fails
JspException - if an inclusion failspublic String getParamCreateIndex()
public void setParamCreateIndex(String createIndex)
createIndex - the create index file parameter value
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsNewResourcesettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||